base-compat-0.12.1: A compatibility layer for base

Safe Haskell | Safe-Inferred
Language | Haskell2010

Foreign.Marshal.Array.Compat

Synopsis

- module Foreign.Marshal.Array
- callocArray :: Storable a => Int -> IO (Ptr a)
- callocArray0 :: Storable a => Int -> IO (Ptr a)

# Documentation

module Foreign.Marshal.Array

callocArray :: Storable a => Int -> IO (Ptr a) #

Like `mallocArray`, but allocated memory is filled with bytes of value zero.

callocArray0 :: Storable a => Int -> IO (Ptr a) #

Like `callocArray0`, but allocated memory is filled with bytes of value zero.